Submit Global Payroll amendment signature
Authentication
Path parameters
The unique identifier of the Global Payroll amendment to sign, as returned by POST /rest/contracts/{contract_id}/amendments.
The unique identifier of the Global Payroll amendment to sign, as returned by POST /rest/contracts/{contract_id}/amendments.
Signs a pending Global Payroll amendment on the client’s behalf, applying the change. amendment_id is the id returned by POST /rest/contracts/{contract_id}/amendments. Global Payroll amendments only — IC contracts use POST /rest/workers/amendments/{amendment_id}/sign instead.
Token scopes: contracts:write
Beta: this version requires the X-Beta: true request header and its contract may change before it is promoted to stable. It is scheduled to become stable on 2026-12-29.
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/